--================
-- minGUI example
--
-- by DjPoke
-- (c) 2023
--================

require "minGUI/minGUI"


-- default love.load function
function love.load()
	-- initialize minGUI
	init_minGUI()
end

-- default love.mousepressed function
function love.mousepressed(x, y, button)
	mouse_pressed_minGUI(x, y, button)
end

-- default love.mousereleased function
function love.mousereleased(x, y, button)
	mouse_released_minGUI(x, y, button)
end

-- default love.keypressed function
function love.keypressed(key)
	key_pressed_minGUI(key)
end

-- default love.released function
function love.released(key)
	key_released_minGUI(key)
end

-- default love.update function
function love.update(dt)
	-- change background color
	minGUI:set_bgcolor(0.5, 0.5, 0.5, 1)
	
	-- add gadgets
	minGUI:add_panel(1, 100, 100, 100, 100)
	minGUI:add_button(1, 10, 10, 80, 25, "Test 1", 1)
	minGUI:add_button(2, 10, 10, 80, 25, "Test 2")
end

-- default love.draw function
function love.draw()
	-- draw created gadgets
	draw_minGUI()
end
